Bug 139150 - gnome is missing key on japanese jp106 keyboard
gnome is missing key on japanese jp106 keyboard
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-13 02:32 EST by Stefan Christians
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 04:33:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Christians 2004-11-13 02:32:30 EST
Description of problem:
When using the GNOME desktop, a key on the Japanese jp106 keyboard
does not function.

It is the '] }' key, located between ': *' and Enter.

It must be a problem with GNOME, as the key still works on the console
(in fact, I could only produce above sentence by typing it in vi on a
console, switching back to ctrl-alt-f7 and pasting it into here).

The key itself is OK - when selecting it as an accelerator for a
keyboard shortcut, 0x33 is displayed.

This is quite a disaster, as the closing brackets and braces are
pretty essential for programming and scripting.


Version-Release number of selected component (if applicable):
2.8

How reproducible:
Always

Steps to Reproduce:
1. install FC3 on system with Japanese jp106 keyboard
2. start gnome
3. start any application that accepts keyboard input, like gedit or
terminal
4. press the '] }' key
    

Actual Results:  nothing happens

Expected Results:  a ] should display on the screen
Comment 1 Mark McLoughlin 2004-11-15 03:55:21 EST
If you log in to a failsafe session - from login screen select
"Session" and choose "Failsafe session" - do you see the same problem?
Comment 2 Stefan Christians 2004-11-30 04:33:12 EST
Sorry it took me a while to answer:

Same problem in failsafe and also kde, so I looked for the problem in
xkb rather than gnome.

And voila: my configuration loaded keycodes xfree86 instead of
xfree86(jp106), which defines exactly that one key which I was missing.

Sorry for reporting a mis-configuration as a bug.

Note You need to log in before you can comment on or make changes to this bug.